【iOS】CocoaPods初识、安装与使用

来源:互联网 时间:2017-01-22


下载了一个第三方框架,正想一睹为快,发现报出这样的错误
ld: library not found for -lViewDeck
clang: error: linker command failed with exit code 1 (use -v to see invocation)


意思是链接失败,这时我们需要强大的CocoaPods。



error.png
一、 初识CocoaPods

CocoaPods是用来方便的统一管理第三方库的工具。
我曾经抱过这样的心态“哦,只是一个管理工具啊,也不是非用不可啊!”No!下面是你不得不用的三个理由:
当你开发iOS应用时,会常常引用到许多第三方框架,这时候问题来了。


当你引用了A框架,A框架又引用到B框架,B框架又引用到C框架,你是要手动一个一个引用进来吗?
接着(1),你确实很顽强果真一个框架包含一个框架的引用进来了,这时候C框架更新了,你又得重新下载新版本,你是否还有毅力再一个框架一个框架的引用进来?
好吧,倘若果真你的毅力惊为天人,在(1)(2)之下毫无疲乏之感,你又能保证你在在引入第三方库时能正确的完成各种配置(包括配置编译阶段、连接器选项、甚至是ARC环境下的-fno-objc-arc配置等)吗?
如果,(1)(2)(3)你都能适应自如,好吧,CocoaPods很遗憾的和你说再见咯。
二、 CocoaPods下载和安装

CocoaPods是用Ruby(一种为简单快捷的面向对象编程而创的脚本语言)实现的,并划分为若干个Gem包,想使用它首先需要Ruby的环境。
输入


sudo gem install cocoapods


根据提示输入密码后,等待期间没有任何反应,耐心等待即可,许久之后会出现成功字样。(也可sudo gem install cocoapods -V,可看到安装过程)



ruby环境安装成功
三、 CocoaPods小试牛刀
1. 如果这是别人的项目,已经建立过Pods
(1)开始文件夹里的项目是这样的

下载打开的文件夹

(2)在命令行输入(注意在当前目录下)

pod update




pod更新成功

(3)现在文件夹里的项目是这样的

pod更新后的文件夹

2. 如果是自己新建的项目,需要自己创建
(1)打开新建的项目是这样的

自建文件夹


自建文件目录

Pod search XXX //可看到XXX的信息
vim Podfile //在文件夹目录里输入,Podfile不能输错
platform :ios, '7.0' //平台pod "XXX", "~> 2.0" //版本 //有的不需要申明平台,可以在GitHub上看类库,作者会说明写法
:wq //保存退出
pod install


(2)现在文件夹里的项目是这样的

pod后的文件夹


pod后的文件目录

ok,那么现在开启你的CocoaPods之旅吧,have fun!




相关阅读:
Top